orgId as the X-Org-Id header on the other endpoints. This endpoint itself needs no X-Org-Id header.curl --location 'https://api.astravue.com/v1/users/me' \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Current user fetched successfully",
"code": 200,
"data": {
"userId": 42,
"firstName": "Priya",
"lastName": "Sharma",
"email": "priya@acme.com",
"workspaces": [
{
"orgId": 7,
"orgName": "Acme",
"industryType": "Software",
"orgPicColor": "#4F46E5",
"profilePicURL": null,
"profilePicName": null
}
]
},
"timestamp": "2026-11-17T06:30:00.000+00:00"
}